%define pypi_name pelican

Name:           pelican
Version:        3.6.3
Release:        %mkrel 3
Group:          Development/Python
Summary:        A tool to generate a static blog from reStructuredText or Markdown input files

License:        AGPLv3
URL:            http://getpelican.com
Source0:        https://pypi.python.org/packages/source/p/pelican/pelican-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pythonegg(3)(setuptools)


%description
Pelican is a static site generator, written in Python.
Write your content directly with your editor of choice (vim!) in reStructuredText, Markdown, or AsciiDoc formats
Includes a simple CLI tool to (re)generate your site
Easy to interface with distributed version control systems and web hooks
Completely static output is easy to host anywhere

%package -n     python3-%{pypi_name}
Summary:        A tool to generate a static blog from reStructuredText or Markdown input files


%description -n python3-%{pypi_name}
Pelican is a static site generator, written in Python 3.
Write your content directly with your editor of choice (vim!) in reStructuredText, Markdown, or AsciiDoc formats
Includes a simple CLI tool to (re)generate your site
Easy to interface with distributed version control systems and web hooks
Completely static output is easy to host anywhere


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
%py2_build
pushd %{py3dir}
%py3_build
popd

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/pelican %{buildroot}/%{_bindir}/python3-pelican
mv %{buildroot}%{_bindir}/pelican-import %{buildroot}/%{_bindir}/python3-pelican-import
mv %{buildroot}%{_bindir}/pelican-quickstart %{buildroot}/%{_bindir}/python3-pelican-quickstart
mv %{buildroot}%{_bindir}/pelican-themes %{buildroot}/%{_bindir}/python3-pelican-themes
popd

%py2_install


%files
%doc README.rst 
%{_bindir}/pelican
%{_bindir}/pelican-import
%{_bindir}/pelican-quickstart
%{_bindir}/pelican-themes
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%doc README.rst 
%{_bindir}/python3-pelican
%{_bindir}/python3-pelican-import
%{_bindir}/python3-pelican-quickstart
%{_bindir}/python3-pelican-themes
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info




%changelog
* Fri Feb 19 2016 umeabot <umeabot> 3.6.3-3.mga6
+ Revision: 970717
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 3.6.3-2.mga6
+ Revision: 887709
- rebuild for python 3.5

* Thu Sep 10 2015 philippem <philippem> 3.6.3-1.mga6
+ Revision: 875714
- update to 3.6.3

* Sat Jul 25 2015 philippem <philippem> 3.6.0-1.mga6
+ Revision: 857629
- update to 3.6.0

* Wed Oct 15 2014 umeabot <umeabot> 3.4.0-4.mga5
+ Revision: 745640
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.4.0-3.mga5
+ Revision: 727554
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.4.0-2.mga5
+ Revision: 683399
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 philippem <philippem> 3.4.0-1.mga5
+ Revision: 642767
- update to 3.4.0

* Sat May 31 2014 pterjan <pterjan> 3.3-5.mga5
+ Revision: 629704
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 3.3-4.mga5
+ Revision: 628385
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.3-3.mga4
+ Revision: 542815
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.3-2.mga4
+ Revision: 498035
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 06 2013 philippem <philippem> 3.3-1.mga4
+ Revision: 492245
- imported package pelican

